## python-zunclient 0.4.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr!=2.1.0,>=2.0.0 # Apache-2.0
PrettyTable<0.8,>=0.7.1 # BSD
python-openstackclient!=3.10.0,>=3.3.0 # Apache-2.0
keystoneauth1>=3.1.0 # Apache-2.0
osc-lib>=1.7.0 # Apache-2.0
oslo.i18n!=3.15.2,>=2.1.0 # Apache-2.0
oslo.utils>=3.20.0 # Apache-2.0
websocket-client>=0.32.0 # LGPLv2+
docker>=2.0.0 # Apache-2.0

=== debian/changelog ===
python-zunclient (0.4.0-0ubuntu1~cloud0) xenial-pike; urgency=medium

  * New update for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Tue, 15 Aug 2017 20:48:43 +0000

python-zunclient (0.4.0-0ubuntu1) artful; urgency=medium

  * d/watch: Get tarball from tarballs.openstack.org.
  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/drop-openstackdoctheme.patch: Temporarily drop openstackdocstheme
    sphinx extension until sphinx>=1.6.2 is available.
  * d/p/docker-1.9.0.patch: Revert to using python 1.9.0 for arftul until
    new versions of python-docker and docker-compose are available.
  * d/control: Add python(3)-setuptools to BDs.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 15 Aug 2017 15:42:59 -0400

python-zunclient (0.2.0-0ubuntu1) artful; urgency=low

  * Initial package.

 -- James Page <james.page@ubuntu.com>  Mon, 05 Jun 2017 15:10:09 +0100

=== debian/control ===
Source: python-zunclient
Maintainer: James Page <james.page@ubuntu.com>
Section: python
Priority: optional
Build-Depends: debhelper (>= 9),
               dh-python,
               openstack-pkg-tools,
               python-all (>= 2.6.6-3),
               python-pbr (>= 2.0.0),
               python-setuptools,
               python3-all,
               python3-pbr (>= 2.0.0),
               python3-setuptools,
Build-Depends-Indep: python-ddt (>= 1.0.1),
                     python-docker (>= 1.9.0),
                     python-keystoneauth1 (>= 3.1.0),
                     python-openstackclient (>= 3.3.0),
                     python-openstackdocstheme (>= 1.16.0),
                     python-os-testr (>= 0.8.0),
                     python-osc-lib (>= 1.7.0),
                     python-oslo.i18n (>= 2.1.0),
                     python-oslo.utils (>= 3.20.0),
                     python-oslotest (>= 1.10.0),
                     python-osprofiler (>= 1.4.0),
                     python-prettytable (>= 0.7.1),
                     python-subunit (>= 0.0.18),
                     python-tempest (>= 1:16.1.0),
                     python-testrepository (>= 0.0.18),
                     python-testresources (>= 0.2.4),
                     python-testscenarios (>= 0.4),
                     python-testtools (>= 1.4.0),
                     python-websocket (>= 0.32.0),
                     python3-ddt (>= 1.0.1),
                     python3-docker (>= 1.9.0),
                     python3-keystoneauth1 (>= 3.1.0),
                     python3-openstackclient (>= 3.3.0),
                     python3-openstackdocstheme (>= 1.16.0),
                     python3-os-testr (>= 0.8.0),
                     python3-osc-lib (>= 1.7.0),
                     python3-oslo.i18n (>= 2.1.0),
                     python3-oslo.utils (>= 3.20.0),
                     python3-oslotest (>= 1.10.0),
                     python3-osprofiler (>= 1.4.0),
                     python3-prettytable (>= 0.7.1),
                     python3-subunit (>= 0.0.18),
                     python3-tempest (>= 1:16.1.0),
                     python3-testrepository (>= 0.0.18),
                     python3-testresources (>= 0.2.4),
                     python3-testscenarios (>= 0.4),
                     python3-testtools (>= 1.4.0),
                     python3-websocket (>= 0.32.0),
Standards-Version: 3.9.8
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-zunclient
Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-zunclient
Homepage: https://github.com/openstack/python-zunclient

Package: python-zunclient
Architecture: all
Depends: ${misc:Depends},
         ${python:Depends},
Description: Client Library for interaction with the OpenStack Zun API
 Zun is a Container Management service for OpenStack. It aims to provide an
 OpenStack API for launching and managing containers backed by different
 container technologies.
 .
 This package provides the CLI and Python 2 module for interacting with
 the Zun API.

Package: python3-zunclient
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends},
Description: Client Library for interaction with the OpenStack Zun API
 Zun is a Container Management service for OpenStack. It aims to provide an
 OpenStack API for launching and managing containers backed by different
 container technologies.
 .
 This package provides the CLI and Python 3 module for interacting with
 the Zun API.

## python-zunclient 1.1.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr!=2.1.0,>=2.0.0 # Apache-2.0
PrettyTable<0.8,>=0.7.1 # BSD
python-openstackclient>=3.12.0 # Apache-2.0
keystoneauth1>=3.3.0 # Apache-2.0
osc-lib>=1.8.0 # Apache-2.0
oslo.i18n>=3.15.3 # Apache-2.0
oslo.utils>=3.33.0 # Apache-2.0
websocket-client<=0.40.0,>=0.33.0 # LGPLv2+
docker>=2.4.2 # Apache-2.0
PyYAML>=3.10 # MIT

=== doc/requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
openstackdocstheme>=1.17.0 # Apache-2.0
sphinx!=1.6.6,>=1.6.2 # BSD
reno>=2.5.0 # Apache-2.0

=== debian/changelog ===
python-zunclient (1.1.0-0ubuntu1) bionic; urgency=medium

  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 13 Feb 2018 08:43:41 -0500

python-zunclient (1.0.0-0ubuntu1) bionic; urgency=medium

  * New upstream release.
  * d/*: wrap-and-sort -bast.
  * d/control: Align (Build-)Depends with upstream.
  * d/control: Update Standards-Version to 4.1.2.
  * d/control: Bump debhelper compat to 10.
  * d/p/docker-1.9.0.patch: Rebased.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 25 Jan 2018 09:43:26 -0500

python-zunclient (0.5.0-0ubuntu2) bionic; urgency=medium

  * d/control, d/p/docker-1.9.0.patch: Restore 1.9.0 min for python-docker
    and corresponding patch as we are not backporting python-docker to the
    Queens cloud archive.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 20 Nov 2017 15:23:55 -0500

python-zunclient (0.5.0-0ubuntu1) bionic; urgency=medium

  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/docker-1.9.0.patch: Dropped. No longer needed with python-docker 2.5.1
    in bionic.
  * d/p/drop-openstackdoctheme.patch: Dropped. No longer needed.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 13 Nov 2017 13:49:45 -0500

=== debian/control ===
Source: python-zunclient
Maintainer: James Page <james.page@ubuntu.com>
Section: python
Priority: optional
Build-Depends:
 debhelper (>= 10~),
 dh-python,
 openstack-pkg-tools,
 python-all (>= 2.6.6-3),
 python-pbr (>= 2.0.0),
 python-setuptools,
 python-sphinx (>= 1.6.2),
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx (>= 1.6.2),
Build-Depends-Indep:
 python-coverage (>= 4.0),
 python-ddt (>= 1.0.1),
 python-docker (>= 1.9.0),
 python-hacking (>= 0.12.0),
 python-keystoneauth1 (>= 3.3.0),
 python-openstackclient (>= 3.12.0),
 python-openstackdocstheme (>= 1.17.0),
 python-os-testr (>= 1.0.0),
 python-osc-lib (>= 1.8.0),
 python-oslo.i18n (>= 3.15.3),
 python-oslo.utils (>= 3.33.0),
 python-oslotest (>= 1:3.2.0),
 python-osprofiler (>= 1.4.0),
 python-prettytable (>= 0.7.1),
 python-subunit (>= 1.0.0),
 python-tempest (>= 1:17.1.0),
 python-testrepository (>= 0.0.18),
 python-testresources (>= 2.0.0),
 python-testscenarios (>= 0.4),
 python-testtools (>= 2.2.0),
 python-websocket (>= 0.33.0),
 python-yaml (>= 3.10),
 python3-coverage (>= 4.0),
 python3-ddt (>= 1.0.1),
 python3-docker (>= 1.9.0),
 python3-hacking (>= 0.12.0),
 python3-keystoneauth1 (>= 3.3.0),
 python3-openstackclient (>= 3.12.0),
 python3-openstackdocstheme (>= 1.17.0),
 python3-os-testr (>= 1.0.0),
 python3-osc-lib (>= 1.8.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.utils (>= 3.33.0),
 python3-oslotest (>= 1:3.2.0),
 python3-osprofiler (>= 1.4.0),
 python3-prettytable (>= 0.7.1),
 python3-subunit (>= 1.0.0),
 python3-tempest (>= 1:17.1.0),
 python3-testrepository (>= 0.0.18),
 python3-testresources (>= 2.0.0),
 python3-testscenarios (>= 0.4),
 python3-testtools (>= 2.2.0),
 python3-websocket (>= 0.33.0),
 python3-yaml (>= 3.10),
Standards-Version: 4.1.2
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-zunclient
Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-zunclient
Homepage: https://github.com/openstack/python-zunclient

Package: python-zunclient
Architecture: all
Depends:
 python-docker (>= 1.9.0),
 python-keystoneauth1 (>= 3.3.0),
 python-openstackclient (>= 3.12.0),
 python-osc-lib (>= 1.8.0),
 python-oslo.i18n (>= 3.15.3),
 python-oslo.utils (>= 3.33.0),
 python-pbr (>= 2.0.0),
 python-prettytable (>= 0.7.1),
 python-websocket (>= 0.33.0),
 python-yaml (>= 3.10),
 ${misc:Depends},
 ${python:Depends},
Description: Client Library for interaction with the OpenStack Zun API
 Zun is a Container Management service for OpenStack. It aims to provide an
 OpenStack API for launching and managing containers backed by different
 container technologies.
 .
 This package provides the CLI and Python 2 module for interacting with
 the Zun API.

Package: python3-zunclient
Architecture: all
Depends:
 python3-docker (>= 1.9.0),
 python3-keystoneauth1 (>= 3.3.0),
 python3-openstackclient (>= 3.12.0),
 python3-osc-lib (>= 1.8.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.utils (>= 3.33.0),
 python3-pbr (>= 2.0.0),
 python3-prettytable (>= 0.7.1),
 python3-websocket (>= 0.33.0),
 python3-yaml (>= 3.10),
 ${misc:Depends},
 ${python3:Depends},
Description: Client Library for interaction with the OpenStack Zun API
 Zun is a Container Management service for OpenStack. It aims to provide an
 OpenStack API for launching and managing containers backed by different
 container technologies.
 .
 This package provides the CLI and Python 3 module for interacting with
 the Zun API.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/openstack-pkg-tools/pkgos.make

export PYBUILD_NAME=zunclient

%:
	dh $@ --with python2,python3 --buildsystem=pybuild

override_dh_auto_install:
	dh_auto_install --buildsystem=pybuild
	mv $(CURDIR)/debian/python-zunclient/usr/bin/zun $(CURDIR)/debian/python-zunclient/usr/bin/python2-zun
	mv $(CURDIR)/debian/python3-zunclient/usr/bin/zun $(CURDIR)/debian/python3-zunclient/usr/bin/python3-zun

override_dh_auto_test:
	set -e; for pyvers in $(PYTHONS) $(PYTHON3S); do \
		PYMAJOR=`echo $$pyvers | cut -d'.' -f1` ; \
		PYTHON=python$$pyvers PYTHONPATH=$(CURDIR) python$$PYMAJOR-ostestr \
			--blacklist-file=$(CURDIR)/debian/test-blacklist.txt; \
	done

=== debian/watch ===
version=3
opts="uversionmangle=s/\.(b|rc)/~$1/" \
    http://tarballs.openstack.org/python-zunclient/ python-zunclient-(\d.*)\.tar\.gz

## python-zunclient 2.1.0

=== requirements.txt ===
--- 
+++ 
@@ -5,10 +5,11 @@
 pbr!=2.1.0,>=2.0.0 # Apache-2.0
 PrettyTable<0.8,>=0.7.1 # BSD
 python-openstackclient>=3.12.0 # Apache-2.0
-keystoneauth1>=3.3.0 # Apache-2.0
+keystoneauth1>=3.4.0 # Apache-2.0
 osc-lib>=1.8.0 # Apache-2.0
 oslo.i18n>=3.15.3 # Apache-2.0
+oslo.log>=3.36.0 # Apache-2.0
 oslo.utils>=3.33.0 # Apache-2.0
-websocket-client<=0.40.0,>=0.33.0 # LGPLv2+
+websocket-client>=0.44.0 # LGPLv2+
 docker>=2.4.2 # Apache-2.0
-PyYAML>=3.10 # MIT
+PyYAML>=3.12 # MIT

=== debian/changelog ===
python-zunclient (2.1.0-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Running wrap-and-sort -bast
  * d/changelog: Remove trailing whitespaces

  [ Thomas Goirand ]
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Tue, 04 Sep 2018 22:32:07 +0200

python-zunclient (2.1.0-1) experimental; urgency=medium

  [ Michal Arbet ]
  * Handle embedded-javascript-library
  * d/rules: Switch doc generation to python3-sphinx
  * d/control: Add trailing tilde - debhelper
  * d/control: Add me to uploaders field
  * d/control: Fix (build-)depends
  * d/copyright: Update copyright
  * d/patches: Add fix-py37-stopiteration.patch
  * d/patches: Add remove-privacy-breach-generic-lintian.patch
  * d/rules: Add deletion of .stestr

  [ Ondřej Nový ]
  * d/control: Use team+openstack@tracker.debian.org as maintainer

 -- Michal Arbet <michal.arbet@ultimum.io>  Tue, 21 Aug 2018 15:20:53 +0200

python-zunclient (1.1.0-4) unstable; urgency=medium

  * Fixed Python 3 shebang.

 -- Thomas Goirand <zigo@debian.org>  Sun, 18 Mar 2018 18:37:17 +0000

python-zunclient (1.1.0-3) unstable; urgency=medium

  * Python 3 has now priority over Python 2.

 -- Thomas Goirand <zigo@debian.org>  Sun, 11 Mar 2018 14:54:15 +0100

python-zunclient (1.1.0-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Removing gbp.conf, not used anymore or should be specified in the
    developers dotfiles

  [ Thomas Goirand ]
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sun, 25 Feb 2018 22:40:12 +0000

python-zunclient (1.1.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Use https in Format

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Standards-Version is now 4.1.3.

 -- Thomas Goirand <zigo@debian.org>  Tue, 13 Feb 2018 22:53:18 +0000

python-zunclient (0.4.0-2) unstable; urgency=medium

  * Build-depends on openstack-pkg-tools (Closes: #880094).
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sun, 29 Oct 2017 15:57:49 +0000

python-zunclient (0.4.0-1) experimental; urgency=medium

  * Initial release. (Closes: #878220)

 -- Thomas Goirand <zigo@debian.org>  Wed, 11 Oct 2017 10:41:17 +0200

=== debian/control ===
Source: python-zunclient
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Michal Arbet <michal.arbet@ultimum.io>,
Build-Depends:
 debhelper (>= 10~),
 dh-python,
 openstack-pkg-tools,
 python-all,
 python-pbr (>= 2.0.0),
 python-setuptools,
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx (>= 1.6.2) <!nodoc>,
Build-Depends-Indep:
 python-ddt,
 python-docker (>= 2.4.2),
 python-hacking,
 python-keystoneauth1 (>= 3.4.0),
 python-openstackclient (>= 3.12.0),
 python-osc-lib (>= 1.8.0),
 python-oslo.i18n (>= 3.15.3),
 python-oslo.log (>= 3.36.0),
 python-oslo.utils (>= 3.33.0),
 python-oslotest (>= 1:3.2.0),
 python-osprofiler (>= 1.4.0),
 python-prettytable,
 python-stestr (>= 2.0.0),
 python-tempest (>= 1:17.1.0),
 python-testresources (>= 2.0.0),
 python-testscenarios,
 python-testtools (>= 2.2.0),
 python-websocket (>= 0.44.0),
 python-yaml,
 python3-ddt,
 python3-docker (>= 2.4.2),
 python3-keystoneauth1 (>= 3.4.0),
 python3-openstackclient (>= 3.12.0),
 python3-openstackdocstheme (>= 1.18.1) <!nodoc>,
 python3-osc-lib (>= 1.8.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.utils (>= 3.33.0),
 python3-oslotest (>= 1:3.2.0),
 python3-osprofiler (>= 1.4.0),
 python3-prettytable,
 python3-stestr (>= 2.0.0),
 python3-tempest (>= 1:17.1.0),
 python3-testresources (>= 2.0.0),
 python3-testscenarios,
 python3-testtools (>= 2.2.0),
 python3-websocket (>= 0.44.0),
 python3-yaml,
 subunit,
Standards-Version: 4.1.3
Vcs-Browser: https://salsa.debian.org/openstack-team/clients/python-zunclient
Vcs-Git: https://salsa.debian.org/openstack-team/clients/python-zunclient.git
Homepage: https://github.com/openstack/python-zunclient

Package: python-zunclient
Architecture: all
Depends:
 python-docker (>= 2.4.2),
 python-keystoneauth1 (>= 3.4.0),
 python-openstackclient (>= 3.12.0),
 python-osc-lib (>= 1.8.0),
 python-oslo.i18n (>= 3.15.3),
 python-oslo.log (>= 3.36.0),
 python-oslo.utils (>= 3.33.0),
 python-pbr (>= 2.0.0),
 python-prettytable,
 python-websocket (>= 0.44.0),
 python-yaml,
 ${misc:Depends},
 ${python:Depends},
Suggests:
 python-zunclient-doc,
Description: OpenStack container management service API client - Python 2.7
 Zun (ex. Higgins) is a Container Management service for OpenStack. It aims to
 provide an OpenStack API for launching and managing containers backed by
 different container technologies.
 .
 This is a client library for Zun built on the Zun API. It provides a Python
 API (the zunclient module) and a command-line tool(zun).
 .
 This package contains the Python 2.7 module.

Package: python-zunclient-doc
Build-Profiles: <!nodoc>
Section: doc
Architecture: all
Depends:
 libjs-bootstrap,
 libjs-jquery,
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: OpenStack container management service API client - doc
 Zun (ex. Higgins) is a Container Management service for OpenStack. It aims to
 provide an OpenStack API for launching and managing containers backed by
 different container technologies.
 .
 This is a client library for Zun built on the Zun API. It provides a Python
 API (the zunclient module) and a command-line tool(zun).
 .
 This package contains the documentation.

Package: python3-zunclient
Architecture: all
Depends:
 python3-docker (>= 2.4.2),
 python3-keystoneauth1 (>= 3.4.0),
 python3-openstackclient (>= 3.12.0),
 python3-osc-lib (>= 1.8.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.utils (>= 3.33.0),
 python3-pbr (>= 2.0.0),
 python3-prettytable,
 python3-websocket (>= 0.44.0),
 python3-yaml,
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-zunclient-doc,
Description: OpenStack container management service API client - Python 3.x
 Zun (ex. Higgins) is a Container Management service for OpenStack. It aims to
 provide an OpenStack API for launching and managing containers backed by
 different container technologies.
 .
 This is a client library for Zun built on the Zun API. It provides a Python
 API (the zunclient module) and a command-line tool(zun).
 .
 This package contains the Python 3.x module.

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/openstack/python-zunclient.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python2,python3,sphinxdoc

override_dh_auto_install:
	pkgos-dh_auto_install

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test
endif

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	python3 -m sphinx -b html doc/source $(CURDIR)/debian/python-zunclient-doc/usr/share/doc/python-zunclient-doc/html
	dh_sphinxdoc -O--buildsystem=python_distutils
endif

override_dh_clean:
	dh_clean -O--buildsystem=python_distutils
	rm -rf build
	rm -rf .stestr
	rm -f AUTHORS
	rm -f ChangeLog

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

# Commands not to run
override_dh_installcatalogs:
override_dh_installemacsen override_dh_installifupdown:
override_dh_installinfo override_dh_installmenu override_dh_installmime:
override_dh_installmodules override_dh_installlogcheck:
override_dh_installpam override_dh_installppp override_dh_installudev override_dh_installwm:
override_dh_installxfonts override_dh_gconf override_dh_icons override_dh_perl override_dh_usrlocal:
override_dh_installcron override_dh_installdebconf:
override_dh_installlogrotate override_dh_installgsettings:

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/python-zunclient/python-zunclient-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-zunclient 3.3.0

=== debian/changelog ===
python-zunclient (3.3.0-0ubuntu1~cloud0) bionic-stein; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Wed, 13 Mar 2019 19:25:50 +0000

python-zunclient (3.3.0-0ubuntu1) disco; urgency=medium

  * New upstream release for OpenStack Stein.
  * d/p/skip-tests.patch: Rebased.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 13 Mar 2019 14:41:01 -0400

python-zunclient (3.2.1-0ubuntu1) disco; urgency=medium

  * New upstream release for OpenStack Stein.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 30 Jan 2019 10:26:53 -0500

python-zunclient (3.2.0-0ubuntu1) disco; urgency=medium

  * New upstream release for OpenStack Stein.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 14 Nov 2018 15:18:22 -0500

python-zunclient (2.1.0-0ubuntu1) cosmic; urgency=medium

  * New upstream release for OpenStack Rocky.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/skip-tests.patch: Updated with failing Py3.7 tests.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 03 Aug 2018 15:05:57 -0400

python-zunclient (1.3.0-0ubuntu1) cosmic; urgency=medium

  * Merge from Debian unstable.  Remaining changes:
    - d/gbp.conf: Retain for pristine-tar.
    - d/copyright: Retain Canonical copyright for debian/*.
  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.
  * d/control: Update Standards-Version to 4.1.4.
  * d/control: Enable autopkgtest-pkg-python testsuite.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 16 May 2018 21:20:58 -0400

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,12 @@
 Source: python-zunclient
 Section: python
 Priority: optional
-Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
+Maintainer: James Page <james.page@ubuntu.com>
+XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
- Michal Arbet <michal.arbet@ultimum.io>,
 Build-Depends:
- debhelper (>= 10~),
+ debhelper (>= 10),
  dh-python,
  openstack-pkg-tools,
  python-all,
@@ -17,49 +17,56 @@
  python3-setuptools,
  python3-sphinx (>= 1.6.2) <!nodoc>,
 Build-Depends-Indep:
- python-ddt,
+ python-ddt (>= 1.0.1),
  python-docker (>= 2.4.2),
- python-hacking,
+ python-hacking (>= 0.12.0),
  python-keystoneauth1 (>= 3.4.0),
  python-openstackclient (>= 3.12.0),
+ python-os-testr (>= 1.0.0),
  python-osc-lib (>= 1.8.0),
  python-oslo.i18n (>= 3.15.3),
  python-oslo.log (>= 3.36.0),
  python-oslo.utils (>= 3.33.0),
  python-oslotest (>= 1:3.2.0),
  python-osprofiler (>= 1.4.0),
- python-prettytable,
+ python-prettytable (>= 0.7.1),
  python-stestr (>= 2.0.0),
+ python-subunit (>= 1.0.0),
  python-tempest (>= 1:17.1.0),
  python-testresources (>= 2.0.0),
- python-testscenarios,
+ python-testscenarios (>= 0.4),
  python-testtools (>= 2.2.0),
  python-websocket (>= 0.44.0),
- python-yaml,
- python3-ddt,
+ python-yaml (>= 3.12),
+ python3-ddt (>= 1.0.1),
  python3-docker (>= 2.4.2),
  python3-keystoneauth1 (>= 3.4.0),
  python3-openstackclient (>= 3.12.0),
- python3-openstackdocstheme (>= 1.18.1) <!nodoc>,
+ python3-openstackdocstheme (>= 1.18.1),
+ python3-os-testr (>= 1.0.0),
  python3-osc-lib (>= 1.8.0),
  python3-oslo.i18n (>= 3.15.3),
  python3-oslo.log (>= 3.36.0),
  python3-oslo.utils (>= 3.33.0),
  python3-oslotest (>= 1:3.2.0),
  python3-osprofiler (>= 1.4.0),
- python3-prettytable,
+ python3-prettytable (>= 0.7.1),
+ python3-reno (>= 2.5.0),
  python3-stestr (>= 2.0.0),
+ python3-subunit (>= 1.0.0),
  python3-tempest (>= 1:17.1.0),
  python3-testresources (>= 2.0.0),
- python3-testscenarios,
+ python3-testscenarios (>= 0.4),
  python3-testtools (>= 2.2.0),
  python3-websocket (>= 0.44.0),
- python3-yaml,
+ python3-yaml (>= 3.12),
  subunit,
-Standards-Version: 4.1.3
-Vcs-Browser: https://salsa.debian.org/openstack-team/clients/python-zunclient
-Vcs-Git: https://salsa.debian.org/openstack-team/clients/python-zunclient.git
+ testrepository,
+Standards-Version: 4.1.4
+Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-zunclient
+Vcs-Git: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-zunclient
 Homepage: https://github.com/openstack/python-zunclient
+Testsuite: autopkgtest-pkg-python
 
 Package: python-zunclient
 Architecture: all
@@ -72,9 +79,9 @@
  python-oslo.log (>= 3.36.0),
  python-oslo.utils (>= 3.33.0),
  python-pbr (>= 2.0.0),
- python-prettytable,
+ python-prettytable (>= 0.7.1),
  python-websocket (>= 0.44.0),
- python-yaml,
+ python-yaml (>= 3.12),
  ${misc:Depends},
  ${python:Depends},
 Suggests:
@@ -94,8 +101,6 @@
 Section: doc
 Architecture: all
 Depends:
- libjs-bootstrap,
- libjs-jquery,
  ${misc:Depends},
  ${sphinxdoc:Depends},
 Description: OpenStack container management service API client - doc
@@ -119,9 +124,9 @@
  python3-oslo.log (>= 3.36.0),
  python3-oslo.utils (>= 3.33.0),
  python3-pbr (>= 2.0.0),
- python3-prettytable,
+ python3-prettytable (>= 0.7.1),
  python3-websocket (>= 0.44.0),
- python3-yaml,
+ python3-yaml (>= 3.12),
  ${misc:Depends},
  ${python3:Depends},
 Suggests:

## python-zunclient 3.5.0

=== doc/requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
openstackdocstheme>=1.20.0 # Apache-2.0
sphinx!=1.6.6,!=1.6.7,>=1.6.2,<2.0.0;python_version=='2.7'  # BSD
sphinx!=1.6.6,!=1.6.7,!=2.1.0,>=1.6.2;python_version>='3.4'  # BSD
reno>=2.5.0 # Apache-2.0

=== debian/changelog ===
python-zunclient (3.5.0-0ubuntu1~cloud0) bionic-train; urgency=medium

  * New update for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Wed, 25 Sep 2019 21:34:36 +0000

python-zunclient (3.5.0-0ubuntu1) eoan; urgency=medium

  * New upstream release for OpenStack Train.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 25 Sep 2019 16:21:43 -0400

python-zunclient (3.3.0-0ubuntu2) eoan; urgency=medium

  * d/control, d/rules, d/python(3)-*: Drop Python 2 support.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 10 Jul 2019 13:53:33 -0400

=== debian/control ===
--- 
+++ 
@@ -9,40 +9,20 @@
  debhelper (>= 10),
  dh-python,
  openstack-pkg-tools,
- python-all,
- python-pbr (>= 2.0.0),
- python-setuptools,
  python3-all,
  python3-pbr (>= 2.0.0),
  python3-setuptools,
  python3-sphinx (>= 1.6.2) <!nodoc>,
 Build-Depends-Indep:
- python-ddt (>= 1.0.1),
- python-docker (>= 2.4.2),
- python-hacking (>= 0.12.0),
- python-keystoneauth1 (>= 3.4.0),
- python-openstackclient (>= 3.12.0),
- python-os-testr (>= 1.0.0),
- python-osc-lib (>= 1.8.0),
- python-oslo.i18n (>= 3.15.3),
- python-oslo.log (>= 3.36.0),
- python-oslo.utils (>= 3.33.0),
- python-oslotest (>= 1:3.2.0),
- python-osprofiler (>= 1.4.0),
- python-prettytable (>= 0.7.1),
- python-stestr (>= 2.0.0),
- python-subunit (>= 1.0.0),
- python-tempest (>= 1:17.1.0),
- python-testresources (>= 2.0.0),
- python-testscenarios (>= 0.4),
- python-testtools (>= 2.2.0),
- python-websocket (>= 0.44.0),
- python-yaml (>= 3.12),
+ python3-bandit (>= 1.1.0),
+ python3-coverage (>= 4.0),
  python3-ddt (>= 1.0.1),
+ python3-doc8 (>= 0.6.0),
  python3-docker (>= 2.4.2),
+ python3-hacking (>= 0.12.0),
  python3-keystoneauth1 (>= 3.4.0),
  python3-openstackclient (>= 3.12.0),
- python3-openstackdocstheme (>= 1.18.1),
+ python3-openstackdocstheme (>= 1.20.0),
  python3-os-testr (>= 1.0.0),
  python3-osc-lib (>= 1.8.0),
  python3-oslo.i18n (>= 3.15.3),
@@ -67,34 +47,6 @@
 Vcs-Git: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-zunclient
 Homepage: https://github.com/openstack/python-zunclient
 Testsuite: autopkgtest-pkg-python
-
-Package: python-zunclient
-Architecture: all
-Depends:
- python-docker (>= 2.4.2),
- python-keystoneauth1 (>= 3.4.0),
- python-openstackclient (>= 3.12.0),
- python-osc-lib (>= 1.8.0),
- python-oslo.i18n (>= 3.15.3),
- python-oslo.log (>= 3.36.0),
- python-oslo.utils (>= 3.33.0),
- python-pbr (>= 2.0.0),
- python-prettytable (>= 0.7.1),
- python-websocket (>= 0.44.0),
- python-yaml (>= 3.12),
- ${misc:Depends},
- ${python:Depends},
-Suggests:
- python-zunclient-doc,
-Description: OpenStack container management service API client - Python 2.7
- Zun (ex. Higgins) is a Container Management service for OpenStack. It aims to
- provide an OpenStack API for launching and managing containers backed by
- different container technologies.
- .
- This is a client library for Zun built on the Zun API. It provides a Python
- API (the zunclient module) and a command-line tool(zun).
- .
- This package contains the Python 2.7 module.
 
 Package: python-zunclient-doc
 Build-Profiles: <!nodoc>

=== debian/rules ===
--- 
+++ 
@@ -4,28 +4,31 @@
 include /usr/share/openstack-pkg-tools/pkgos.make
 
 %:
-	dh $@ --buildsystem=python_distutils --with python2,python3,sphinxdoc
+	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc
+
+override_dh_auto_build:
+	python3 setup.py build --force
 
 override_dh_auto_install:
-	pkgos-dh_auto_install
+	pkgos-dh_auto_install --no-py2
 
 override_dh_auto_test:
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
-	pkgos-dh_auto_test
+	pkgos-dh_auto_test --no-py2
 endif
 
 override_dh_sphinxdoc:
 ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
-	python3 -m sphinx -b html doc/source $(CURDIR)/debian/python-zunclient-doc/usr/share/doc/python-zunclient-doc/html
+	sphinx-build -b html doc/source debian/python-zunclient-doc/usr/share/doc/python-zunclient-doc/html
 	dh_sphinxdoc -O--buildsystem=python_distutils
 endif
 
 override_dh_clean:
 	dh_clean -O--buildsystem=python_distutils
 	rm -rf build
-	rm -rf .stestr
-	rm -f AUTHORS
-	rm -f ChangeLog
+
+override_dh_auto_clean:
+	python3 setup.py clean -a
 
 override_dh_python3:
 	dh_python3 --shebang=/usr/bin/python3

## python-zunclient 4.0.0

=== doc/requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
openstackdocstheme>=1.20.0 # Apache-2.0
sphinx!=1.6.6,!=1.6.7,!=2.1.0,>=1.6.2  # BSD
reno>=2.5.0 # Apache-2.0

=== debian/changelog ===
python-zunclient (4.0.0-0ubuntu1~cloud0) bionic-ussuri; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Thu, 09 Apr 2020 21:35:48 +0000

python-zunclient (4.0.0-0ubuntu1) focal; urgency=medium

  * New upstream release for OpenStack Ussuri.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 09 Apr 2020 15:34:15 -0400

python-zunclient (3.6.0-0ubuntu1) focal; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - d/gbp.conf: Retain for pristine-tar.
    - d/control: Enable autopkgtest-pkg-python testsuite.
  * New upstream release for OpenStack Ussuri.
  * d/control: Align (Build-)Depends with upstream

 -- Sahid Orentino Ferdjaoui <sahid.ferdjaoui@canonical.com>  Thu, 12 Dec 2019 11:16:31 +0100

python-zunclient (3.5.0-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1.

  [ Thomas Goirand ]
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 21 Oct 2019 01:55:13 +0200

python-zunclient (3.5.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.
  * Bump Standards-Version to 4.4.0.

  [ Thomas Goirand ]
  * New upstream release.
  * Install first in debian/tmp to be able to run tests.

 -- Thomas Goirand <zigo@debian.org>  Tue, 17 Sep 2019 10:50:14 +0200

python-zunclient (3.3.0-3) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 17 Jul 2019 14:46:13 +0200

python-zunclient (3.3.0-2) experimental; urgency=medium

  * Removed debian/python3-zunclient.postinst (Closes: #925425).

 -- Thomas Goirand <zigo@debian.org>  Mon, 25 Mar 2019 15:08:26 +0100

python-zunclient (3.3.0-1) experimental; urgency=medium

  * New upstream release.
  * Removed Python 2 support.
  * Removed fix-py37-stopiteration.patch applied upstream.

 -- Thomas Goirand <zigo@debian.org>  Sat, 23 Mar 2019 23:18:39 +0100

=== debian/control ===
--- 
+++ 
@@ -1,29 +1,26 @@
 Source: python-zunclient
 Section: python
 Priority: optional
-Maintainer: James Page <james.page@ubuntu.com>
-XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
+ Michal Arbet <michal.arbet@ultimum.io>,
 Build-Depends:
- debhelper (>= 10),
+ debhelper-compat (= 10),
  dh-python,
- openstack-pkg-tools,
+ openstack-pkg-tools (>= 99~),
  python3-all,
  python3-pbr (>= 2.0.0),
  python3-setuptools,
- python3-sphinx (>= 1.6.2) <!nodoc>,
+ python3-sphinx (>= 1.6.2),
 Build-Depends-Indep:
- python3-bandit (>= 1.1.0),
- python3-coverage (>= 4.0),
  python3-ddt (>= 1.0.1),
- python3-doc8 (>= 0.6.0),
  python3-docker (>= 2.4.2),
  python3-hacking (>= 0.12.0),
  python3-keystoneauth1 (>= 3.4.0),
  python3-openstackclient (>= 3.12.0),
  python3-openstackdocstheme (>= 1.20.0),
- python3-os-testr (>= 1.0.0),
  python3-osc-lib (>= 1.8.0),
  python3-oslo.i18n (>= 3.15.3),
  python3-oslo.log (>= 3.36.0),
@@ -31,7 +28,6 @@
  python3-oslotest (>= 1:3.2.0),
  python3-osprofiler (>= 1.4.0),
  python3-prettytable (>= 0.7.1),
- python3-reno (>= 2.5.0),
  python3-stestr (>= 2.0.0),
  python3-subunit (>= 1.0.0),
  python3-tempest (>= 1:17.1.0),
@@ -41,8 +37,7 @@
  python3-websocket (>= 0.44.0),
  python3-yaml (>= 3.12),
  subunit,
- testrepository,
-Standards-Version: 4.1.4
+Standards-Version: 4.4.1
 Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-zunclient
 Vcs-Git: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-zunclient
 Homepage: https://github.com/openstack/python-zunclient
@@ -53,6 +48,8 @@
 Section: doc
 Architecture: all
 Depends:
+ libjs-bootstrap,
+ libjs-jquery,
  ${misc:Depends},
  ${sphinxdoc:Depends},
 Description: OpenStack container management service API client - doc

## python-zunclient 4.1.1

=== requirements.txt ===
--- 
+++ 
@@ -12,4 +12,4 @@
 oslo.utils>=3.33.0 # Apache-2.0
 websocket-client>=0.44.0 # LGPLv2+
 docker>=2.4.2 # Apache-2.0
-PyYAML>=3.12 # MIT
+PyYAML>=3.13 # MIT

=== debian/changelog ===
python-zunclient (4.1.1-2) unstable; urgency=medium

  * Uploading to unstable.
  * Fixed debian/watch.
  * Add a debian/salsa-ci.yml.

 -- Thomas Goirand <zigo@debian.org>  Fri, 16 Oct 2020 17:44:04 +0200

python-zunclient (4.1.1-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 09 Sep 2020 22:35:06 +0200

python-zunclient (4.0.1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sat, 09 May 2020 00:04:27 +0200

python-zunclient (4.0.1-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Sat, 11 Apr 2020 22:27:59 +0200

python-zunclient (4.0.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 08 Apr 2020 10:50:50 +0200

=== debian/control ===
Source: python-zunclient
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Michal Arbet <michal.arbet@ultimum.io>,
Build-Depends:
 debhelper-compat (= 10),
 dh-python,
 openstack-pkg-tools (>= 99~),
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx <!nodoc>,
Build-Depends-Indep:
 python3-ddt,
 python3-docker,
 python3-hacking,
 python3-keystoneauth1,
 python3-openstackclient,
 python3-openstackdocstheme <!nodoc>,
 python3-osc-lib,
 python3-oslo.i18n,
 python3-oslo.log,
 python3-oslo.utils,
 python3-oslotest,
 python3-osprofiler,
 python3-prettytable,
 python3-stestr,
 python3-tempest,
 python3-testresources,
 python3-testscenarios,
 python3-testtools,
 python3-websocket,
 python3-yaml,
 subunit,
Standards-Version: 4.4.1
Vcs-Browser: https://salsa.debian.org/openstack-team/clients/python-zunclient
Vcs-Git: https://salsa.debian.org/openstack-team/clients/python-zunclient.git
Homepage: https://github.com/openstack/python-zunclient

Package: python-zunclient-doc
Build-Profiles: <!nodoc>
Section: doc
Architecture: all
Depends:
 libjs-bootstrap,
 libjs-jquery,
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: OpenStack container management service API client - doc
 Zun (ex. Higgins) is a Container Management service for OpenStack. It aims to
 provide an OpenStack API for launching and managing containers backed by
 different container technologies.
 .
 This is a client library for Zun built on the Zun API. It provides a Python
 API (the zunclient module) and a command-line tool(zun).
 .
 This package contains the documentation.

Package: python3-zunclient
Architecture: all
Depends:
 python3-docker,
 python3-keystoneauth1,
 python3-openstackclient,
 python3-osc-lib,
 python3-oslo.i18n,
 python3-oslo.log,
 python3-oslo.utils,
 python3-pbr,
 python3-prettytable,
 python3-websocket,
 python3-yaml,
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-zunclient-doc,
Description: OpenStack container management service API client - Python 3.x
 Zun (ex. Higgins) is a Container Management service for OpenStack. It aims to
 provide an OpenStack API for launching and managing containers backed by
 different container technologies.
 .
 This is a client library for Zun built on the Zun API. It provides a Python
 API (the zunclient module) and a command-line tool(zun).
 .
 This package contains the Python 3.x module.

## python-zunclient 4.2.0

=== debian/changelog ===
python-zunclient (4.2.0-0ubuntu1~cloud0) focal-wallaby; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Mon, 22 Mar 2021 21:43:54 +0000

python-zunclient (4.2.0-0ubuntu1) hirsute; urgency=medium

  [ Chris MacNaughton ]
  * d/control: Update VCS paths for move to lp:~ubuntu-openstack-dev.

  [ Corey Bryant ]
  * New upstream release for OpenStack Wallaby.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 17 Mar 2021 10:21:52 -0400

python-zunclient (4.1.1-0ubuntu1) groovy; urgency=medium

  * New upstream release for OpenStack Victoria.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 11 Sep 2020 16:39:11 -0400

python-zunclient (4.1.0-0ubuntu1) groovy; urgency=medium

  * New upstream release for OpenStack Victoria.
  * d/control: Align (Build-)Depends with upstream

 -- Chris MacNaughton <chris.macnaughton@canonical.com>  Wed, 29 Jul 2020 14:27:55 +0000

python-zunclient (4.0.1-0ubuntu1) groovy; urgency=medium

  * New upstream release for OpenStack Victoria.
  * d/control, d/rules: Switch to debhelper compat 12 and pybuild.
  * d/control: Update Standards-Version to 4.5.0.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 12 Jun 2020 14:46:13 -0400

=== debian/control ===
Source: python-zunclient
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Michal Arbet <michal.arbet@ultimum.io>,
Build-Depends:
 debhelper-compat (= 12),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx (>= 2.0.0),
Build-Depends-Indep:
 python3-ddt (>= 1.0.1),
 python3-docker (>= 2.4.2),
 python3-hacking (>= 1.1.0),
 python3-keystoneauth1 (>= 3.4.0),
 python3-openstackclient (>= 3.12.0),
 python3-openstackdocstheme (>= 2.2.0),
 python3-osc-lib (>= 1.8.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.utils (>= 3.33.0),
 python3-oslotest (>= 1:3.2.0),
 python3-osprofiler (>= 1.4.0),
 python3-prettytable (>= 0.7.1),
 python3-stestr (>= 2.0.0),
 python3-subunit (>= 1.0.0),
 python3-tempest (>= 1:17.1.0),
 python3-testresources (>= 2.0.0),
 python3-testscenarios (>= 0.4),
 python3-testtools (>= 2.2.0),
 python3-websocket (>= 0.44.0),
 python3-yaml (>= 3.13),
 subunit,
Standards-Version: 4.5.0
Vcs-Browser: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/python-zunclient
Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/python-zunclient
Homepage: https://github.com/openstack/python-zunclient
Testsuite: autopkgtest-pkg-python

Package: python-zunclient-doc
Build-Profiles: <!nodoc>
Section: doc
Architecture: all
Depends:
 libjs-bootstrap,
 libjs-jquery,
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: OpenStack container management service API client - doc
 Zun (ex. Higgins) is a Container Management service for OpenStack. It aims to
 provide an OpenStack API for launching and managing containers backed by
 different container technologies.
 .
 This is a client library for Zun built on the Zun API. It provides a Python
 API (the zunclient module) and a command-line tool(zun).
 .
 This package contains the documentation.

Package: python3-zunclient
Architecture: all
Depends:
 python3-docker (>= 2.4.2),
 python3-keystoneauth1 (>= 3.4.0),
 python3-openstackclient (>= 3.12.0),
 python3-osc-lib (>= 1.8.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.utils (>= 3.33.0),
 python3-pbr (>= 2.0.0),
 python3-prettytable (>= 0.7.1),
 python3-websocket (>= 0.44.0),
 python3-yaml (>= 3.13),
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-zunclient-doc,
Description: OpenStack container management service API client - Python 3.x
 Zun (ex. Higgins) is a Container Management service for OpenStack. It aims to
 provide an OpenStack API for launching and managing containers backed by
 different container technologies.
 .
 This is a client library for Zun built on the Zun API. It provides a Python
 API (the zunclient module) and a command-line tool(zun).
 .
 This package contains the Python 3.x module.

## python-zunclient 4.3.0

=== debian/changelog ===
python-zunclient (4.3.0-0ubuntu1~cloud0) focal-xena; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Tue, 07 Sep 2021 21:17:00 +0000

python-zunclient (4.3.0-0ubuntu1) impish; urgency=medium

  * New upstream release for OpenStack Xena.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 07 Sep 2021 15:58:30 -0400

## python-zunclient 4.4.0

=== requirements.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 # process, which may cause wedges in the gate later.
 
 pbr!=2.1.0,>=2.0.0 # Apache-2.0
-PrettyTable<0.8,>=0.7.1 # BSD
+PrettyTable>=0.7.1 # BSD
 python-openstackclient>=3.12.0 # Apache-2.0
 keystoneauth1>=3.4.0 # Apache-2.0
 osc-lib>=1.8.0 # Apache-2.0

=== debian/changelog ===
python-zunclient (4.4.0-0ubuntu1) jammy; urgency=medium

  * New upstream release for OpenStack Yoga.
  * d/control: Bump debhelper compat to 13.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 12 Jan 2022 15:27:15 -0500

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
  Thomas Goirand <zigo@debian.org>,
  Michal Arbet <michal.arbet@ultimum.io>,
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  dh-python,
  openstack-pkg-tools,
  python3-all,

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=zunclient

UPSTREAM_GIT := https://github.com/openstack/python-zunclient.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=pybuild --with python3,sphinxdoc

override_dh_auto_clean:
	rm -rf build .stestr
	rm -f AUTHORS ChangeLog

override_dh_auto_build:
	echo "Do nothing..."

override_dh_auto_test:
	echo "Do nothing..."

override_dh_auto_install:
	pkgos-dh_auto_install --no-py2 --in-tmp

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test --no-py2
endif

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	python3 -m sphinx -b html doc/source $(CURDIR)/debian/python-zunclient-doc/usr/share/doc/python-zunclient-doc/html
	dh_sphinxdoc
endif

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3
